Current version: 2.3.1 | Released: 2017-06-15

Tested with:

WordPress: 4.8

Divi: 3.0.51

Extra: 2.0.50

Divi Builder: 2.0.13

(It might work with other versions and other themes as well, but not guaranteed. It usually does. 😉 )

 

With the Font Awesome for Divi Builder plugin you will be able to use Font Awesome – the iconic font and CSS toolkit – on your Divi Builder powered WordPress site. The plugin is compatible with the Divi Builder plugin, the Divi theme and the Extra theme.

No programming needed, just activate, check a box, copy a code and you are ready to go.

Note: you will need to generate your own Font Awesome embed code here! It is not provided by The Divi Magazine.

You can easily customize the look and feel of lists based on your needs without any CSS coding. Just look for the settings in the WordPress admin under Divi > Font Awesome or Extra > Font Awesome.

The plugin does not (yet) provide a UI for inserting icons into your content. To see how you can use specific fonts, please refer to the Examples page of Font Awesome.

Note: The plugin was specifically created for use with the Divi Builder plugin, or the themes Divi and Extra (from Elegant Themes). It might work with other themes as well, but not guaranteed. Using a child theme is highly recommended.

Here are some other resources you might be interested in:

 

If you have questions or would like to request a feature, then you can do so in the comments below.

Note: The plugin was specifically created for use with the Divi theme, the Extra theme and the Divi Builder plugin (from Elegant Themes). It is always recommended to use a child theme.

 

== Installation & Usage ==

Screenshot of Font Awesome for Divi Builder 2.2 options

  1. Download from https://divi-magazine.com/tdm-store/
  2. If you have an older version of this plugin, then deactivate it and delete it.
  3. Upload the entire tdm-fontawesome-for-divi folder to the /wp-content/plugins/ directory OR go to Plugins > Add New > Upload Plugin and upload the zip file.
  4. Activate the plugin through the “Plugins” menu in WordPress.
  5. Go to the settings page, switch on and customize based on your needs.

 

== Upgrading from a previous version ==

Method 1: In your WP admin go to Plugins, delete the old plugin, then add the new plugin. Warning: your settings might not be saved! That feature is available as of version 2.2.

Method 2. Upload the files to your server via ftp and simply override the old files. Your settings will be kept!

 

== Change log ==

= 2.3.1 =

* [Tweak] Added a link in the settings page to easily get the embed code from Font Awesome

* [Compatibility] Updated compatible version numbers

* Bumped version number

* June 15, 2017

= 2.3 =

* [Feature] Now works with the Font Awesome embed code, so you always get the most up-to-date version of the font icon library

* [Feature] Added a dashboard box showing the latest news / updates from The Divi Magazine

* Bumped version number

* September 29, 2016

= 2.2 =

* Plugin now supports the Divi theme, the Extra theme and the Divi Builder plugin

* Plugin name changed to reflect the supported products

* [Bugfix] No error messages are shown on front-end or back-end after first plugin activation (when no data is saved yet)

* [Bugfix] Styles are not loaded anymore when Font Awesome is disabled

* [Feature] Styles can be loaded when other plugin is used to load Font Awesome

* [Feature] You can keep options when deleting the plugin

* Bumped version number

* March 31, 2016

= 2.1 =

* Added support for Font Awesome 4.5.0

* Bumped version number

* February 12, 2016

= 2.0 =

* Re-wrote the whole plugin

* Renamed the plugin for consistency

* Updated to Font Awesome 4.4.0

* Added option for enabling / disabling the loading of Font Awesome from bootstrap

* Added options for customizing the look and feel of Font Awesome lists

* Added donation link

* Bumped version number

* October 14, 2015

= 1.0 =

* Initial release.

* April 20, 2015

 

== TDM: Font Awesome for Divi Builder ==

Plugin URI: https://divi-magazine.com

Tags: fontawesome, icon font, Divi, Extra, Divi Builder

Requires at least: 4.0

Tested up to: 4.8

Stable tag: 2.3.1

Divi  theme  version tested up to: 3.0.50

Extra theme  version tested up to: 2.0.50

Divi Builder version tested up to: 2.0.13

License: GPLv2 or later

License URI: http://www.gnu.org/licenses/gpl-2.0.html

css.php
Share This